Subject: Distributed locate resource types

From: "David B. Bryant 444-4399" <[email-masked]>

Ref:  Your note of Tue, 3 Aug 93 13:44:47 EST (attached)

Dave - Current APPN implementations cannot accomodate searches for non-LU
resource types.  The various products all respond to this type of search
in different ways, but the desired result would not be accomplished.
The same is true of search type ALL as opposed to ANY.  As such, we
have a current project underway to define the necessary function and protcols
to make these functions work.  We feel they are necessary to the long term
viability of APPN.

With respect to reserving portions of the type space for OEM's, first off
I have no political objection to such a thing.  But on technical merit,
we would need a mechanism to avoid two OEM's chosing different meanings
for the same setting.  So I think we need to go a step beyond reserving
the space and actually administrate the space through the AIW.

As a side note, I would prefer that we have such discussions in public
over the APPN-Reference forum rather than privately.  Do you have any
objections to me placing your question and my response out on the
reference forum?

Thanks, Dave
----------------------------- Note follows ------------------------------
Date: Tue, 3 Aug 93 13:44:47 EST
From: [email-masked] (Dave Finnie)
To: [email-masked]
Subject: Distributed locate resource types
Cc: [email-masked]

Dave,

You may recall that during our pre-panel discussion at the recent AIW, I brought up the 
concept in the relevant locate patent relating to APPN's ability to search for any 
resource type, not just LU names.

Further to this discussion, I can see that perhaps some customers, as they become
sophisticated in their use of the APPN network, would like to utilise its locate services
for some of their own defined resource types. An obvious way to implement this is to
provide an exit in our product that allows them to dictate the resource type identifier
(something other than X'00F3'), and to generate locate requests, and to respond to
received locate requests.

As an EN, we could include such resource types in our ENCP Search Control cv in our CP
capabilities.

So my question is, do you think this is a good idea, and if so, should such exits be
included as an option set ? Also, to prevent clashes of user-defined resource types with
future SNA-defined resource types, should a portion of the possible resource type
identifier number space be reserved for customer use only, and not used by SNA ?

Best regards,

Dave

----- End Included Message -----